# SkyAtmosphere

#### new Cesium.SkyAtmosphere(ellipsoid)
Scene/SkyAtmosphere.js 45

An atmosphere drawn around the limb of the provided ellipsoid. Based on Accurate Atmospheric Scattering in GPU Gems 2.

This is only supported in 3D. Atmosphere is faded out when morphing to 2D or Columbus view.

Name | Type | Default | Description
--- | --- | --- | ---
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid that the atmosphere is drawn around.

##### Example:

    scene.skyAtmosphere = new Cesium.SkyAtmosphere();

##### Demo:

- Sky atmosphere demo in Sandcastle

##### See:

- Scene.skyAtmosphere

### Members

#### brightnessShift : Number
Scene/SkyAtmosphere.js 103

The brightness shift to apply to the atmosphere. Defaults to 0.0 (no shift). A brightness shift of -1.0 is complete darkness, which will let space show through.

Default Value: `0.0`

#### readonly ellipsoid : Ellipsoid
Scene/SkyAtmosphere.js 141

Gets the ellipsoid the atmosphere is drawn around.

#### hueShift : Number
Scene/SkyAtmosphere.js 87

The hue shift to apply to the atmosphere. Defaults to 0.0 (no shift). A hue shift of 1.0 indicates a complete rotation of the hues available.

Default Value: `0.0`

#### perFragmentAtmosphere : Boolean
Scene/SkyAtmosphere.js 63

Compute atmosphere per-fragment instead of per-vertex. This produces better looking atmosphere with a slight performance penalty.

Default Value: `false`

#### saturationShift : Number
Scene/SkyAtmosphere.js 95

The saturation shift to apply to the atmosphere. Defaults to 0.0 (no shift). A saturation shift of -1.0 is monochrome.

Default Value: `0.0`

#### show : Boolean
Scene/SkyAtmosphere.js 54

Determines if the atmosphere is shown.

Default Value: `true`

### Methods

#### destroy()
Scene/SkyAtmosphere.js 320

Destroys the WebGL resources held by this object. Destroying an object allows for deterministic release of WebGL resources, instead of relying on the garbage collector to destroy this object.
Once an object is destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception. Therefore, assign the return value (`undefined`) to the object as done in the example.

##### Throws:

- DeveloperError : This object was destroyed, i.e., destroy() was called.

##### Example:

    skyAtmosphere = skyAtmosphere && skyAtmosphere.destroy();

##### See:

- SkyAtmosphere#isDestroyed

#### isDestroyed() → Boolean
Scene/SkyAtmosphere.js 300

Returns true if this object was destroyed; otherwise, false.
If this object was destroyed, it should not be used; calling any function other than `isDestroyed` will result in a `DeveloperError` exception.

##### Returns:

`true` if this object was destroyed; otherwise, `false`.

##### See:

- SkyAtmosphere#destroy